Implementation of the 'selectionItem' markup element. A div HTML element is created and the and the classes lto-selection-tem is added to allow CSS modifications.

see

  IRenderable

see

  IStackeable

### Hierarchy

- SelectionItem

### Implements

- IRenderable
- IStackeable

## Index

### Constructors

- constructor

### Properties

- spec

### Methods

- render

## Constructors

### constructor

- new SelectionItem(message: ISpecification): SelectionItem

- - Defined in lib/renderable/selectionItem/index.ts:15

  #### Parameters

  - ##### message: ISpecification

  #### Returns SelectionItem

## Properties

### Private spec

spec: ISpecification

- Defined in lib/renderable/selectionItem/index.ts:15

## Methods

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IStackeable.render

  - Defined in lib/renderable/selectionItem/index.ts:24

  Renders an element

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

Generated using TypeDoc